Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class ObjectBrowser

    java.lang.Object
      groovy.inspect.swingui.ObjectBrowser

    class ObjectBrowser

A little GUI to show some of the Inspector capabilities. Starting this script opens the ObjectBrowser on "some String". Use it in groovysh or groovyConsole to inspect your object of interest with `ObjectBrowser.inspect(myObject)` .

Authors:
  Dierk Koenig

Property Summary
`java.lang.Object` | `fieldTable`
`java.lang.Object` | `frame`
`java.lang.Object` | `inspector`
`java.lang.Object` | `itemTable`
`java.lang.Object` | `mapTable`
`java.lang.Object` | `methodTable`
`java.lang.Object` | `swing`

Method Summary
`void` | `addSorter(java.lang.Object table)`
`static void` | `inspect(java.lang.Object objectUnderInspection)`
`static void` | `main(java.lang.Object args)`
`void` | `run()`
`void` | `showAbout(java.util.EventObject evt)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### fieldTable

    java.lang.Object fieldTable

### frame

    java.lang.Object frame

### inspector

    java.lang.Object inspector

### itemTable

    java.lang.Object itemTable

### mapTable

    java.lang.Object mapTable

### methodTable

    java.lang.Object methodTable

### swing

    java.lang.Object swing

Method Detail

### addSorter

    void addSorter(java.lang.Object table)

### inspect

    static void inspect(java.lang.Object objectUnderInspection)

### main

    static void main(java.lang.Object args)

### run

    void run()

### showAbout

    void showAbout(java.util.EventObject evt)

Groovy Documentation